package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_fault_device")
public class FaultDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 故障编号
     */
    private String dictionaryCode;

    /**
     * 故障名称
     */
    private String dictionaryName;

    /**
     * 参数编号(和算法约定好的固定值)
     */
    private String paramCode;

    /**
     * 参数名称（用来描述参数含义）
     */
    private String paramName;

    /**
     * 设备点位名称
     */
    private String deviceName;

    /**
     * 设备点位id
     */
    private String deviceId;

    /**
     * 来源类型（1:巡视点位；2：辅控信号）
     */
    private String sourceType;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
