package com.yfd.platform.modules.basedata.service.impl;

import com.yfd.platform.modules.basedata.domain.FaultDevice;
import com.yfd.platform.modules.basedata.mapper.FaultDeviceMapper;
import com.yfd.platform.modules.basedata.service.IFaultDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-12
 */
@Service
public class FaultDeviceServiceImpl extends ServiceImpl<FaultDeviceMapper, FaultDevice> implements IFaultDeviceService {

    @Override
    public boolean batchAddFaultDevice(List<FaultDevice> faultDevices) {
        return this.saveBatch(faultDevices);
    }
}
